[netfilter-cvslog] r3397 - trunk/nfsim-testsuite

rusty at netfilter.org rusty at netfilter.org
Thu Dec 16 02:08:47 CET 2004


Author: rusty at netfilter.org
Date: 2004-12-16 02:08:46 +0100 (Thu, 16 Dec 2004)
New Revision: 3397

Modified:
   trunk/nfsim-testsuite/test.sh
Log:
Fix typo which stopped temporary files being cleaned up.
Add --failtest arg.


Modified: trunk/nfsim-testsuite/test.sh
===================================================================
--- trunk/nfsim-testsuite/test.sh	2004-12-16 01:07:41 UTC (rev 3396)
+++ trunk/nfsim-testsuite/test.sh	2004-12-16 01:08:46 UTC (rev 3397)
@@ -15,6 +15,7 @@
 	    fi
 	    shift;;
 	-k) KEEP_GOING=1; shift;;
+	--failtest) FAILTEST=1; shift;;
 	--nfsim=*) NFSIM=`echo "$1" | cut -d= -f2-`; shift;;
 	--*)
 	    echo "Usage $0 [-k|-vv|-v|--nfsim=<nfsim>]" >&2; exit 1;;
@@ -23,6 +24,7 @@
 done
 
 NFSIM_ARGS="$NFSIM_ARGS -e"
+[ -z "$FAILTEST" ] || NFSIM_ARGS="$NFSIM_ARGS --failtest"
 KVERSION=`echo version kernel | $NFSIM -q`
 
 # Creates a temporary file and exports the name of the file to
@@ -102,7 +104,7 @@
 # Test can be named on command line.
 if [ $# -eq 1 ]; then DOING=0; else DOING=1; fi
 
-trap "rm -f TMPFILE" EXIT
+trap "rm -f $TMPFILE" EXIT
 TMPFILE=`create_tempfile`
 export TMPFILE
 




More information about the netfilter-cvslog mailing list